/*
 * application-sandboxer: an application isolation mechanism
 * Copyright (C) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St 
 * - Fifth Floor, Boston, MA 02110-1301 USA
 *
 */


/*
 *  Sometimes sys/mount.h  and linux/fs.h 
 *  doesn't include these because the
 *  kernel is too old.  So, we help.
 */

#ifndef _FS_FIXUP_H
#define _FS_FIXUP_H

#include <config.h>
#include <sys/mount.h>
#include <linux/fs.h>

#ifndef MS_PRIVATE
#define MS_PRIVATE              1<<18   /* Private */
#warning "Defining MS_PRIVATE as it is in not in sys/mount.h"
#endif

#ifndef MS_SLAVE
#define MS_SLAVE                1<<19   /* Slave */
#warning "Defining MS_SLAVE as it is in not in sys/mount.h"
#endif

#ifndef MS_SHARED
#define MS_SHARED               1<<20   /* Shared */
#warning "Defining MS_SHARED as it is in not in sys/mount.h"
#endif

#ifndef MNT_DETACH
#define MNT_DETACH              0x0000002
#warning "Defining MNT_DETATCH as it is in not in sys/mount.h"
#endif

#ifndef MS_REC
#define MS_REC                  0x4000
#warning "Defining MS_REC as it is in not in sys/mount.h"
#endif

#ifndef MS_MOVE
#define MS_MOVE         8192
#warning "Defining MS_MOVE as it is in not in linux/fs.h"
#endif


#endif
