/*
 * application-sandboxer: an application isolation mechanism
 * Copyright (C) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St 
 * - Fifth Floor, Boston, MA 02110-1301 USA
 *
 */


#ifndef   __ENV_RESOLVER_H__
#define   __ENV_RESOLVER_H__

#include <config.h>
#include <glib.h>

typedef struct _EnvPair EnvPair;
struct _EnvPair {
  gchar *key;
  gchar *value;
};

EnvPair* 
env_pair_new(gchar *key, gchar *value);

EnvPair*
env_pair_copy(EnvPair *env_pair);

void 
env_pair_free(EnvPair *self);


gboolean
resolve(GQueue *resolved_pairs, GQueue *unresolved_pairs,
	GQueue *newly_resolved_pairs, GQueue *garbage_pairs,
	GError **error);


#endif /* __ENV_RESOLVER_H__ */
