%define glib2_version           2.0.0  
%define dbus_version            0.60  
%define dbus_glib_version       0.60  

%define ver 0.9
%define prever rc10
%define prever_dot .rc10

Summary: Sandboxer daemon and programs for application isolation
Name: sandboxer
Version: %{ver}%{?prever_dot}
License: LGPLv2
Release: 1%{?dist}
Group: System Environment/Base
Url: http://intel.com/
Source: sandboxer-%{ver}%{?prever}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}%{?prever}-%{release}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: check-devel >= 0.9.4
BuildRequires: e2fsprogs-devel
Requires: dbus >= %{dbus_version}  
Requires: dbus-glib >= %{dbus_glib_version}  
Requires: glib2 >= %{glib2_version}  
Requires: dbus-x11
Requires(pre): /usr/sbin/useradd

%description
sandboxer daemon description here

%prep
%setup -q -n %{name}-%{ver}%{?prever}

%build
%configure --libdir=%{_libdir} --sysconfdir=/etc --localstatedir=/var --libexecdir=/usr/libexec/sandboxer
make "RPM_OPTS=$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/sandboxer/plugins/*test*
rm -f $RPM_BUILD_ROOT/%{_libdir}/sandboxer/plugins/*.a  
rm -f $RPM_BUILD_ROOT/%{_libdir}/sandboxer/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%pre
[ -e /usr/sbin/groupadd ] && groupadd -r sandboxer 2>/dev/null || true
[ -e /usr/sbin/useradd ] && useradd -M -r -d /usr/share/sandboxer -s /bin/false -g sandboxer sandboxer 2> /dev/null || true
[ -e /usr/sbin/usermod ] && usermod -g sandboxer sandboxer 2> /dev/null || true #just in case user already exists from prev (borken) installation

%files
%defattr(-,root,root)
%doc README
%config /etc/dbus-1/system.d/sandboxer.conf
%config /etc/dbus-1/session.d/promiscuous.conf
%attr(644,root,root) %config /etc/sandboxer/sandboxerd.conf
%attr(700,root,root) %{_sbindir}/sandboxerd
%attr(750,root,sandboxer) %{_libexecdir}/sandboxer/stubd
%{_sbindir}/sandboxer_add_package
%attr(750,root,sandboxer) %{_sbindir}/sandboxer_add_remove_package
%{_sbindir}/sandboxer_remove_package

%{_bindir}/*

%attr(770,root,sandboxer) %dir %{_datadir}/sandboxer
%attr(770,root,sandboxer) %dir %{_datadir}/sandboxer/packages
%{_datadir}/dbus-1/system-services/com.intel.sandboxer.SandboxService.service
%attr(-,root,sandboxer) %dir %{_libdir}/sandboxer
%attr(750,root,sandboxer) %{_libdir}/sandboxer/plugins*

%attr(740,sandboxer,sandboxer) %dir %{_localstatedir}/run/sandboxer

