/*
 * application-sandboxer: an application isolation mechanism
 * Copyright (C) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St 
 * - Fifth Floor, Boston, MA 02110-1301 USA
 *
 */


#ifndef  __CONFIG_FILE_HELPER_H__
#define  __CONFIG_FILE_HELPER_H__

#include <config.h>
#include <glib.h>
#include <sys/types.h>
#include <pwd.h>

#define MS G_USEC_PER_SEC / 1000


void
write_test_package_files(void);


/*
 * gets the uid and gid of supplied name
 * 
 */
void 
get_uidgid(const char *name, uid_t *puid, gid_t *pgid);


void
setup_tmpdir_and_config_store(void);

const gchar* 
get_tmpdir(void);

const gchar*
get_packagedir(void);

const gchar* 
get_sandboxerd_conf(void);

const gchar*
get_bindir(void);

void 
make_sandboxerd_conf(gchar *enabled_plugins);


void
tmpdir_setup(void);

void
tmpdir_teardown(void);

gchar*
template(gchar *input, ...);

void 
nukem(void);

GNode*
g_node_new_from_pid(const GPid pid);

void
insert_child_pids(const GPid pid, GNode *node);

void
kill_all_nodes(GNode *root_node,
	       int sig);


#endif /* __CONFIG_FILE_HELPER_H__ */
