import unittest
import subprocess
import re
import sys

rpm_url= 'http://moblin-repos.jf.intel.com/rawrepos/home:/mikeleib/Moblin_2.0/i586/sandboxer-0.9-1.1.moblin2.i586.rpm'
srpm_url= 'http://moblin-repos.jf.intel.com/rawrepos/home:/mikeleib/Moblin_2.0/src/sandboxer-0.9-1.1.moblin2.src.rpm'

class TestInstallablePackage(unittest.TestCase):
    
    def fetchURLs(self, URLList):
        for URL in URLList:
            subprocess.check_call(['wget', '--directory-prefix=/tmp', '--quiet', URL])

    def setUp(self):
        self.fetchURLs([rpm_url, srpm_url])
        self.packagePath= "/tmp/" + rpm_url.rpartition('/')[2]
        self.sourcePackagePath= "/tmp/" + srpm_url.rpartition('/')[2]
        
    def testInstall(self):
        subprocess.check_call(['rpm', '-i', self.packagePath])

    #FIXME: test for warnings
    def testCompilation(self):
        subprocess.check_call(['rpm', '-i', self.sourcePackagePath])
        rpmbuild= subprocess.Popen('rpmbuild -ba /usr/src/redhat/SPECS/sandboxer.spec', 
                                   shell=True,
                                   stdout=subprocess.PIPE,
                                   stderr=subprocess.PIPE)
        stdout_value, stderr_value = rpmbuild.communicate()
        warning_regex= re.compile("warning\:")
        for line in stderr_value.splitlines(True):
            if warning_regex.search(line): sys.stderr.write(line)
        self.assertEqual(0, rpmbuild.returncode)
        

    def testUninstall(self):
        subprocess.check_call(['rpm', '-e', 'sandboxer'])

        
if __name__ == '__main__':
    unittest.main()
