import os
import subprocess
import unittest
import signal
from helpers import SandboxerTestCase


class TestSandboxerd(unittest.TestCase):
    def testActivation(self):
        """create a sandbox; verify that sandboxerd is running"""
        subprocess.check_call(['sandboxer', '/opt/hello/bin/hello'])
        self.failUnless(os.path.exists('/var/sandboxer/sandboxer.pid'))

    def killSandboxerd(self):
        if os.path.exists('/var/sandboxer/sandboxer.pid'):
            os.kill(int(open('/var/sandboxer/sandboxer.pid').read_line()), signal.SIGTERM)

    def setUp(self):
        self.killSandboxerd()

    def tearDown(self):
        self.killSandboxerd()

if __name__ == '__main__':
    unittest.main()
